
Redmine - Defect #9109

Email configuration in configuration.yml seems to have precedence over email.yml

2011-08-23 15:09 - Frank Helk

Status: Closed Start date: 2011-08-23

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.2.0

Description

I've upgraded from redmine 1.0.3 to 1.2.0, and while doing that I decided to set the attachment directory to a path outside of the

redmine path - thereby eleminating the need to move these files with every redmine update.

To do that I had to activate the use of configuration.yml, which was not needed before (stayed to the hardcoded defaults). After

introducing configuration.yml I found that the email send function was broken.

That problem was caused by the fact that the email settings in configuration.yml seem to have precedence over the settings im

email.yml, even while the desciption in the configuration.yml directive suggest a precedence of email.yml.

Versions (gem list --local)

fxruby (1.6.16 x86-mswin32-60)

i18n (0.4.2)

mysql (2.8.1 x86-mswin32)

rack (1.1.1, 1.0.1)

rails (2.3.11)

ruby-opengl (0.60.0 i386-mswin32)

and redmine 1.2.0

History

#1 - 2011-08-23 15:24 - Etienne Massip

BTW, just use configuration.yml ?!

#2 - 2011-08-23 15:49 - Patrick Figel

email.yml is deprecated. So if both email.yml and configuration.yml exist, IMHO that's expected behaviour.

#3 - 2011-08-23 15:59 - Etienne Massip

I can't find the "description in the configuration.yml directive" you are referring to?

#4 - 2011-08-23 16:50 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

I've updated upgrade user guide to include upgrade from versions >= 1.2.0.

Please feel free to reopen the issue if needed.

#5 - 2011-08-24 09:56 - Frank Helk

Etienne Massip wrote:

I can't find the "description in the configuration.yml directive" you are referring to?

 This part is somwhat misleading under the aspect of upgrading a pre-1.2.0 installation that uses email.yml:

# default configuration options for all environments

default:

  # Outgoing emails configuration (see examples above)
https://www.redmine.org/projects/redmine/wiki/RedmineUpgrade#Step-3-Perform-the-upgrade


  email_delivery:

 The updated update user guide seems to be an acceptable solution.
